## libpam-slurm 1.4

=== Makefile ===
##
# $Id: Makefile 5686 2003-11-07 20:40:36Z grondo $
##


PROJECT=	pam_slurm

PAM_MODULE=	$(PROJECT).so
PAM_MODULE_DIR=	/lib/security

noinst_HEADERS=	hostlist.h

CC=		gcc
CFLAGS=		-Wall -O2
CPPFLAGS=	
DEFAULT_INCLUDES = -I.
DEFS=
LDFLAGS=	
LIBS=           
COPTS=		$(CFLAGS) $(CPPFLAGS) $(DEFS)
INSTALL=	/usr/bin/install -c
OBJECTS =	pam_slurm.o hostlist.o

all: $(PAM_MODULE) tags

$(PAM_MODULE): $(OBJECTS)

pam_slurm.o: pam_slurm.c $(noinst_HEADERS)
	$(CC) $(COPTS) -fPIC -c $<

hostlist.o: hostlist.c $(noinst_HEADERS)
	$(CC) $(COPTS) -fPIC -c $<

install: $(PAM_MODULE)
	mkdir -m 755 -p $(DESTDIR)$(PAM_MODULE_DIR)
	$(INSTALL) -m 755 $(PAM_MODULE) $(DESTDIR)$(PAM_MODULE_DIR)/

clean:
	-rm -f *.o *.so *~ \#* .\#* cscope*.out core core.* *.core tags TAGS

realclean: clean
	-rm -f *.tgz *.rpm

tags: *.[ch]
	-ctags *.[ch] 2>/dev/null

.SUFFIXES:
.SUFFIXES: .c .o .so

.o.so:
	$(CC) -nostdlib -shared -o $*.so $(OBJECTS) $(LIBS)

include Make-rpm.mk

## libpam-slurm 1.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# $Id: Makefile 5686 2003-11-07 20:40:36Z grondo $
+# $Id: Makefile 11809 2007-07-10 23:10:05Z grondo $
 ##
 
 
@@ -49,5 +49,3 @@
 
 .o.so:
 	$(CC) -nostdlib -shared -o $*.so $(OBJECTS) $(LIBS)
-
-include Make-rpm.mk

=== debian/changelog ===
libpam-slurm (1.6-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining change:
    - Pass -nostdlib for all gcc calls to hide from __stack_chk_fail_local

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 22 May 2011 12:54:30 +0530

libpam-slurm (1.6-4) unstable; urgency=low

  * New release built against libslurm22 (Closes: #614005) 
  * Standards version upgraded to 3.9.1.0 (no changes)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 19 Feb 2011 21:10:11 +0100

libpam-slurm (1.6-3ubuntu1) maverick; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Pass -nostdlib for all gcc calls to hide from __stack_chk_fail_local

 -- Roy Jamison <xteejyx@googlemail.com>  Thu, 17 Jun 2010 19:18:31 +0100

libpam-slurm (1.6-3) unstable; urgency=low

  * New release built against libslurm21 (Closes: #569453)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 14 Feb 2010 20:26:18 +0100

libpam-slurm (1.6-2ubuntu2) lucid; urgency=low

  * Manually change dependency to libslurm21.

 -- Ilya Barygin <barygin@gmail.com>  Mon, 01 Feb 2010 21:23:15 +0300

libpam-slurm (1.6-2ubuntu1) lucid; urgency=low

  * Build against libslurm21
  * Pass -nostdlib for all gcc calls to hide from __stack_chk_fail_local

 -- Emmet Hikory <persia@ubuntu.com>  Sat, 23 Jan 2010 23:35:03 +0900

libpam-slurm (1.6-2) unstable; urgency=low

  * New release built against libslurm20 (Closes: #536920)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 15 Jul 2009 11:53:34 +0200

libpam-slurm (1.6-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 29 Aug 2008 09:54:44 +0200

libpam-slurm (1.4-3) unstable; urgency=low

  * Linking to the new libslurm13 library (Closes: #487039)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 19 Jun 2008 18:27:41 +0200

libpam-slurm (1.4-2) unstable; urgency=low

  * Added support for uscan (Closes: #454319) thanks to Manuel Prinz

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 14 Jan 2008 17:32:37 +0100

libpam-slurm (1.4-1) unstable; urgency=low

  [ Dirk Eddelbuettel ]
  * debian/control: Added myself as Uploaders

  [Gennaro Oliva]
  * Initial release (Closes: #446907)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Nov 2007 16:30:06 -0600

=== debian/control ===
Source: libpam-slurm
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 5), libslurm-dev, libpam0g-dev
Standards-Version: 3.9.1.0
Section: admin

Package: libpam-slurm
Architecture: any
Depends: libslurm22, ${shlibs:Depends}, ${misc:Depends}
Description: PAM module to authenticate using the SLURM resource manager
 Pluggable Authentication Module (PAM) for restricting access to compute
 nodes where SLURM performs resource management. Access to the node is
 restricted to user root and users who have been allocated resources on
 that node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




# shared library versions, option 1
version=2.0.5
major=2

LIBSLURM=$(shell readlink /usr/lib/libslurm.so | cut -d . -f 1,2,3)
[ -e /usr/lib/$(LIBSLURM) ] || LIBSLURM=$(shell readlink /usr/lib/libslurm.so)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	sed -i "s/\"libslurm.so\"/\"$(LIBSLURM)\"/" pam_slurm.c
	sed -i "s/\-shared/-shared -lc/" Makefile
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	sed -i "s/\"$(LIBSLURM)\"/\"libslurm.so\"/" pam_slurm.c
	sed -i "s/\-shared \-lc/-shared/" Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/libpam-slurm install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/slurm/pam_slurm-(.+)\.tar\.bz2
